﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.15.4/chezmoi_2.15.4_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.15.4/chezmoi_2.15.4_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = 'a345afb73149c59e395aecf5bbd7dcbfc5116f02bc4a693fd2943a59f14ea6a4'
    checksumType   = 'sha256'
    checksum64     = '79b13ba68196d071702a3525f501498fb031e9f34d8428445d44109fe0b35f2d'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
